com.zipcodewilmington.streams.anthropoid

## Class Person

- java.lang.Object
- - com.zipcodewilmington.streams.anthropoid.Person

-     public class Person
      extends java.lang.Object

  Created by leon on 5/1/17.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `Person.PersonProperty<E>` the purpose of this class is to compress verbose getter and setter logic

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Person.PersonProperty<java.lang.Integer>` | `age`
    `Person.PersonProperty<java.lang.String[]>` | `aliases`
    `Person.PersonProperty<java.util.Date>` | `birthDate`
    `Person.PersonProperty<java.lang.Boolean>` | `isMale`
    `Person.PersonProperty<java.lang.String>` | `name`
    `Person.PersonProperty<java.lang.Long>` | `personalId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Person(java.lang.String name, int age, boolean isMale, long personalId, java.util.Date birthDate, java.lang.String... aliases)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          public final Person.PersonProperty<java.lang.String> name

    - #### age

          public final Person.PersonProperty<java.lang.Integer> age

    - #### isMale

          public final Person.PersonProperty<java.lang.Boolean> isMale

    - #### personalId

          public final Person.PersonProperty<java.lang.Long> personalId

    - #### birthDate

          public final Person.PersonProperty<java.util.Date> birthDate

    - #### aliases

          public final Person.PersonProperty<java.lang.String[]> aliases

  - ### Constructor Detail

    - #### Person

          public Person(java.lang.String name,
                        int age,
                        boolean isMale,
                        long personalId,
                        java.util.Date birthDate,
                        java.lang.String... aliases)

      Parameters:
        `name` - - name of person
        `age` - - age of person
        `isMale` - - gender flag
        `personalId` - - unique id
        `birthDate` - - date of birth